Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 12 Apr 2023 17:16:44 +0100

On Wed, Apr 12, 2023 at 5:13 PM João Távora <[email-masked]> wrote:
> > modified code will do in each possible use case.  That is why I very
> > much prefer separate code, which will then free us from the need of
> Alright, I've tried my hand at making this clean separation, so that
> no logic of transaction or existing predicates is touched.  I tried to

>  (defun package-install (pkg &optional dont-select)
>    "Install the package PKG.
> @@ -2196,19 +2214,27 @@ package-install
>  to install it but still mark it as selected."
>    (interactive
>     (progn
> -     ;; Initialize the package system to get the list of package
> -     ;; symbols for completion.

Didn't mean to take out this comment, sorry, was an oversight.

João